Page MenuHomePhabricator

Restoration might fail in ContentTranslationLoader.prototype.restoreSection
Closed, ResolvedPublic

Description

In ContentTranslationLoader.prototype.restoreSection Sizzle might give a JS error because targetSectionId is empty, so we are trying to query '#'.

We should:

  1. use document.getElementById
  2. guard for empty targetSectionId

More info:

sourceSectionId is 2

Seems something got very badly messed up in the database:

1MariaDB [dev_translatewiki_net]> select * from bw_cx_corpora where cxc_translation_id = 101 and cxc_section_id = 2\G
2*************************** 1. row ***************************
3cxc_translation_id: 101
4 cxc_section_id: 2
5 cxc_origin: source
6 cxc_sequence_id: 0
7 cxc_timestamp: 20161214082723
8 cxc_content: <table about="#mwt3" border="0" cellpadding="2" cellspacing="0" class="infobox" id="2" style="font-size: 92%; border: 1px solid rgb(170, 170, 170); text-align: left; line-height: 1.2em; border-radius: 4px; border-collapse: collapse; width: 22em; margin-bottom: 10px;">
9<tbody id="3"><tr id="4">
10</tr><tr id="5"><th class="" colspan="2" id="6" style="text-align:center; font-size:15px; padding-top: 3px; padding-bottom: 3px; line-height: 120%;"><center id="7"><span class="cx-segment" data-segmentid="8">Hollola</span></center></th>
11</tr>
12<tr id="9"><td class="" colspan="1" id="10" rowspan="1" style="text-align: center; vertical-align: middle; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="11"><span data-mw="{&quot;caption&quot;:&quot;&quot;}" typeof="mw:Image"><a class="cx-link" data-linkid="12" href="./Tiedosto:Hollola.vaakuna.svg"><img data-file-height="585" data-file-type="drawing" data-file-width="500" height="117" resource="./Tiedosto:Hollola.vaakuna.svg" src="//upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Hollola.vaakuna.svg/100px-Hollola.vaakuna.svg.png" srcset="//upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Hollola.vaakuna.svg/200px-Hollola.vaakuna.svg.png 2x, //upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Hollola.vaakuna.svg/150px-Hollola.vaakuna.svg.png 1.5x" width="100"></a></span><span data-mw="{&quot;caption&quot;:&quot;&quot;}" typeof="mw:Image"></span></span></td>
13<td class="" colspan="1" id="13" rowspan="1" style="text-align: center; vertical-align: middle; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="14"><span data-mw="{&quot;caption&quot;:&quot;&quot;}" typeof="mw:Image"><a class="cx-link" data-linkid="15" href="./Tiedosto:Hollola.sijainti.suomi.2016.svg"><img data-file-height="3220" data-file-type="drawing" data-file-width="1850" height="244" resource="./Tiedosto:Hollola.sijainti.suomi.2016.svg" src="//upload.wikimedia.org/wikipedia/commons/thumb/3/34/Hollola.sijainti.suomi.2016.svg/140px-Hollola.sijainti.suomi.2016.svg.png" srcset="//upload.wikimedia.org/wikipedia/commons/thumb/3/34/Hollola.sijainti.suomi.2016.svg/280px-Hollola.sijainti.suomi.2016.svg.png 2x, //upload.wikimedia.org/wikipedia/commons/thumb/3/34/Hollola.sijainti.suomi.2016.svg/210px-Hollola.sijainti.suomi.2016.svg.png 1.5x" width="140"></a></span><span data-mw="{&quot;caption&quot;:&quot;&quot;}" typeof="mw:Image"></span></span></td>
14</tr>
15<tr id="16"><td class="" colspan="1" id="17" style="text-align: center;">
16<p id="18"><small><a class="cx-link" data-linkid="20" href="//fi.wikipedia.org/wiki/Hollolan_vaakuna" rel="mw:WikiLink" title="Hollolan vaakuna"><span class="cx-segment" data-segmentid="19">vaakuna</span></a></small></p>
17</td>
18<td class="" colspan="1" id="21" style="text-align: center;">
19<p id="22"><small><span class="cx-segment" data-segmentid="23">sijainti</span></small></p>
20</td></tr>
21
22<tr id="24"><td class="" colspan="2" id="25" style="text-align: center;"><b><span class="plainlinks"><a class="cx-link" data-linkid="27" href="http://www.hollola.fi/" rel="mw:ExtLink"><span class="cx-segment" data-segmentid="26">www.hollola.fi</span></a></span></b></td>
23</tr>
24<tr id="28"><td class="" colspan="1" id="29" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><b><a class="cx-link" data-linkid="31" href="//fi.wikipedia.org/wiki/Luettelo_Suomen_kuntien_koordinaateista" rel="mw:WikiLink" title="Luettelo Suomen kuntien koordinaateista"><span class="cx-segment" data-segmentid="30">Sijainti</span></a></b></td>
25<td class="" colspan="1" id="32" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="33">
26<span class="plainlinksneverexpand" id="coordinatespan"><a class="cx-link" data-linkid="34" href="https://tools.wmflabs.org/geohack/geohack.php?language=fi&amp;pagename=Hollola&amp;params=60_59_15_N_025_31_00_E_region:FI-16_type:city(21197)_scale:100000" rel="mw:ExtLink"><span title="Karttoja ja ilmakuvia kohteesta 60°59′15″N, 025°31′00″E"><span style="white-space:nowrap">60°59′15″N</span>, <span style="white-space:nowrap">025°31′00″E</span></span></a><a class="cx-link" data-linkid="34" href="https://tools.wmflabs.org/geohack/geohack.php?language=fi&amp;pagename=Hollola&amp;params=60_59_15_N_025_31_00_E_region:FI-16_type:city(21197)_scale:100000" rel="mw:ExtLink"></a></span><span><span about="#mwt122" data-mw="{&quot;name&quot;:&quot;indicator&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;coordinates&quot;},&quot;body&quot;:{&quot;extsrc&quot;:&quot;Koordinaatit: {{{1}}}&quot;}}" typeof="mw:Extension/indicator">
27</span></span><link href="./Luokka:Small-elementtiä_käyttämättömät_tarkenteelliset_tietolaatikot" rel="mw:PageProp/Category"></span></td>
28</tr>
29<tr id="35"><td class="" colspan="1" id="36" style="vertical-align: top;"><b><a class="cx-link" data-linkid="38" href="//fi.wikipedia.org/wiki/Suomen_maakunnat" rel="mw:WikiLink" title="Suomen maakunnat"><span class="cx-segment" data-segmentid="37">Maakunta</span></a></b></td>
30<td class="" colspan="1" id="39" style="vertical-align: top;"><span class="cx-segment" data-segmentid="40">
31<a class="cx-link" data-linkid="41" href="//fi.wikipedia.org/wiki/Päijät-Hämeen_maakunta" rel="mw:WikiLink" title="Päijät-Hämeen maakunta">Päijät-Hämeen maakunta</a></span></td>
32</tr>
33<tr id="42"><td class="" colspan="1" id="43" style="vertical-align: top;"><b><a class="cx-link" data-linkid="45" href="//fi.wikipedia.org/wiki/Suomen_seutukunnat" rel="mw:WikiLink" title="Suomen seutukunnat"><span class="cx-segment" data-segmentid="44">Seutukunta</span></a></b></td>
34<td class="" colspan="1" id="46" style="vertical-align: top;"><span class="cx-segment" data-segmentid="47">
35<a class="cx-link" data-linkid="48" href="//fi.wikipedia.org/wiki/Lahden_seutukunta" rel="mw:WikiLink" title="Lahden seutukunta">Lahden seutukunta</a></span></td>
36</tr>
37
38<tr id="49"><td class="" colspan="1" id="50" style="vertical-align: top;"><b><span class="cx-segment" data-segmentid="51">Perustettu</span></b></td>
39<td class="" colspan="1" id="52" style="vertical-align: top;"><span class="cx-segment" data-segmentid="53">
40<a class="cx-link" data-linkid="54" href="//fi.wikipedia.org/wiki/1865" rel="mw:WikiLink" title="1865">1865</a></span></td>
41</tr>
42<tr id="55"><td class="" colspan="1" id="56" style="vertical-align: top;"><b><a class="cx-link" data-linkid="58" href="//fi.wikipedia.org/wiki/Kuntaliitos_Suomessa" rel="mw:WikiLink" title="Kuntaliitos Suomessa"><span class="cx-segment" data-segmentid="57">Kuntaliitokset</span></a></b></td>
43<td class="" colspan="1" id="59" style="vertical-align: top;"><span class="cx-segment" data-segmentid="60">
44<a class="cx-link" data-linkid="61" href="//fi.wikipedia.org/wiki/Hämeenkoski" rel="mw:WikiLink" title="Hämeenkoski">Hämeenkoski</a><span about="#mwt91" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-h.C3.A4meenkosken_liitos-1&quot;},&quot;attrs&quot;:{&quot;name&quot;:&quot;hämeenkosken_liitos&quot;}}" id="cite_ref-h.C3.A4meenkosken_liitos_1-0" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-h.C3.A4meenkosken_liitos-1" style="counter-reset: mw-Ref 1;"><span class="mw-reflink-text">[1]</span></a></span> <small>(2016)</small><link href="./Luokka:Small-elementtiä_käyttävät_tietolaatikot" rel="mw:PageProp/Category"></span></td>
45</tr>
46
47<tr id="62"><td class="" colspan="1" id="63" style="vertical-align: top
48; border-top: 1px solid #AAAAAA;"><b><a class="cx-link" data-linkid="65" href="//fi.wikipedia.org/wiki/Luettelo_Suomen_kunnista_pinta-alan_mukaan" rel="mw:WikiLink" title="Luettelo Suomen kunnista pinta-alan mukaan"><span class="cx-segment" data-segmentid="64">Kokonaispinta-ala</span></a></b></td>
49<td class="" colspan="1" id="66" style="vertical-align: top
50; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="67">
51727,47<span typeof="mw:Entity">&nbsp;</span>km²<br><small>164:nneksi<span typeof="mw:Entity">&nbsp;</span>suurin<span typeof="mw:Entity">&nbsp;</span>2016</small><span typeof="mw:Entity">&nbsp;</span><span about="#mwt93" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-pinta-ala-2&quot;},&quot;attrs&quot;:{&quot;name&quot;:&quot;pinta-ala&quot;}}" id="cite_ref-pinta-ala_2-0" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-pinta-ala-2" style="counter-reset: mw-Ref 2;"><span class="mw-reflink-text">[2]</span></a></span><link href="./Luokka:Small-elementtiä_käyttävät_tietolaatikot" rel="mw:PageProp/Category"></span></td>
52</tr>
53<tr id="68"><td class="" colspan="1" id="69" style="vertical-align: top;"><span class="cx-segment" data-segmentid="70">– maa</span></td>
54<td class="" colspan="1" id="71" style="vertical-align: top;"><span class="cx-segment" data-segmentid="72">
55650,97<span typeof="mw:Entity">&nbsp;</span>km²</span></td>
56</tr>
57<tr id="73"><td class="" colspan="1" id="74" style="vertical-align: top;"><span class="cx-segment" data-segmentid="75">– sisävesi</span></td>
58<td class="" colspan="1" id="76" style="vertical-align: top;"><span class="cx-segment" data-segmentid="77">
5976,50<span typeof="mw:Entity">&nbsp;</span>km²</span></td>
60</tr>
61<tr id="78"><td class="" colspan="1" id="79" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><b><a class="cx-link" data-linkid="81" href="//fi.wikipedia.org/wiki/Luettelo_Suomen_kunnista_väkiluvun_mukaan" rel="mw:WikiLink" title="Luettelo Suomen kunnista väkiluvun mukaan"><span class="cx-segment" data-segmentid="80">Väkiluku</span></a></b></td>
62<td class="" colspan="1" id="82" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="83">
6323&nbsp;780<br><small>44:nneksi<span typeof="mw:Entity">&nbsp;</span>suurin<span typeof="mw:Entity">&nbsp;</span>31.10.2016</small><span typeof="mw:Entity">&nbsp;</span><span about="#mwt94" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-vakilukuviite-3&quot;},&quot;attrs&quot;:{&quot;name&quot;:&quot;vakilukuviite&quot;}}" id="cite_ref-vakilukuviite_3-0" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-vakilukuviite-3" style="counter-reset: mw-Ref 3;"><span class="mw-reflink-text">[3]</span></a></span><link href="./Luokka:Small-elementtiä_käyttävät_tietolaatikot" rel="mw:PageProp/Category"></span></td>
64</tr>
65<tr id="84"><td class="" colspan="1" id="85" style="vertical-align: top;"><span class="cx-segment" data-segmentid="86">– <a class="cx-link" data-linkid="87" href="//fi.wikipedia.org/wiki/Luettelo_Suomen_kunnista_väestötiheyden_mukaan" rel="mw:WikiLink" title="Luettelo Suomen kunnista väestötiheyden mukaan">väestötiheys</a></span></td>
66<td class="" colspan="1" id="88" style="vertical-align: top;"><span class="cx-segment" data-segmentid="89">
6736,53<span typeof="mw:Entity">&nbsp;</span>as./km²<span typeof="mw:Entity">&nbsp;</span><small>(31.10.2016)</small><link href="./Luokka:Small-elementtiä_käyttävät_tietolaatikot" rel="mw:PageProp/Category"></span></td>
68</tr>
69
70
71<tr id="90"><td class="" colspan="1" id="91" style="vertical-align: top;"><b><span class="cx-segment" data-segmentid="92">Ikäjakauma</span></b></td>
72<td class="" colspan="1" id="93" style="vertical-align: top;"><span class="cx-segment" data-segmentid="94">
732014<span typeof="mw:Entity">&nbsp;</span><span about="#mwt95" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-demografiaviite-4&quot;},&quot;attrs&quot;:{&quot;name&quot;:&quot;demografiaviite&quot;}}" id="cite_ref-demografiaviite_4-0" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-demografiaviite-4" style="counter-reset: mw-Ref 4;"><span class="mw-reflink-text">[4]</span></a></span></span></td>
74</tr>
75<tr id="95"><td class="" colspan="1" id="96" style="vertical-align: top;"><span class="cx-segment" data-segmentid="97">– 0<span typeof="mw:Entity">–</span>14-v.</span></td>
76<td class="" colspan="1" id="98" style="vertical-align: top;"><span class="cx-segment" data-segmentid="99">
7719,2<span typeof="mw:Entity">&nbsp;</span>%</span></td>
78</tr>
79<tr id="100"><td class="" colspan="1" id="101" style="vertical-align: top;"><span class="cx-segment" data-segmentid="102">– 15<span typeof="mw:Entity">–</span>64-v.</span></td>
80<td class="" colspan="1" id="103" style="vertical-align: top;"><span class="cx-segment" data-segmentid="104">
8160,8<span typeof="mw:Entity">&nbsp;</span>%</span></td>
82</tr>
83<tr id="105"><td class="" colspan="1" id="106" style="vertical-align: top;"><span class="cx-segment" data-segmentid="107">– yli 64-v.</span></td>
84<td class="" colspan="1" id="108" style="vertical-align: top;"><span class="cx-segment" data-segmentid="109">
8520,0<span typeof="mw:Entity">&nbsp;</span>%</span></td>
86</tr>
87<tr id="110"><td class="" colspan="1" id="111" style="vertical-align: top;"><b><a class="cx-link" data-linkid="113" href="//fi.wikipedia.org/wiki/Äidinkieli" rel="mw:WikiLink" title="Äidinkieli"><span class="cx-segment" data-segmentid="112">Äidinkieli</span></a></b></td>
88<td class="" colspan="1" id="114" style="vertical-align: top;"><span class="cx-segment" data-segmentid="115">
892014<span typeof="mw:Entity">&nbsp;</span><span about="#mwt96" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-kieliviite-5&quot;},&quot;attrs&quot;:{&quot;name&quot;:&quot;kieliviite&quot;}}" id="cite_ref-kieliviite_5-0" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-kieliviite-5" style="counter-reset: mw-Ref 5;"><span class="mw-reflink-text">[5]</span></a></span></span></td>
90</tr>
91<tr id="116"><td class="" colspan="1" id="117" style="vertical-align: top;"><span class="cx-segment" data-segmentid="118">– <a class="cx-link" data-linkid="119" href="//fi.wikipedia.org/wiki/Suomen_kieli" rel="mw:WikiLink" title="Suomen kieli">suomenkielisiä</a></span></td>
92<td class="" colspan="1" id="120" style="vertical-align: top;"><span class="cx-segment" data-segmentid="121">
9397,3<span typeof="mw:Entity">&nbsp;</span>%</span></td>
94</tr>
95<tr id="122"><td class="" colspan="1" id="123" style="vertical-align: top;"><span class="cx-segment" data-segmentid="124">– <a class="cx-link" data-linkid="125" href="//fi.wikipedia.org/wiki/Ruotsin_kieli" rel="mw:WikiLink" title="Ruotsin kieli">ruotsinkielisiä</a></span></td>
96<td class="" colspan="1" id="126" style="vertical-align: top;"><span class="cx-segment" data-segmentid="127">
970,4<span typeof="mw:Entity">&nbsp;</span>%</span></td>
98</tr>
99
100<tr id="128"><td class="" colspan="1" id="129" style="vertical-align: top;"><span class="cx-segment" data-segmentid="130">– muut</span></td>
101<td class="" colspan="1" id="131" style="vertical-align: top;"><span class="cx-segment" data-segmentid="132">
1022,3<span typeof="mw:Entity">&nbsp;</span>%</span></td>
103</tr>
104<tr id="133"><td class="" colspan="1" id="134" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><b><a class="cx-link" data-linkid="136" href="//fi.wikipedia.org/wiki/Kunnallisvero_(Suomi)" rel="mw:WikiLink" title="Kunnallisvero (Suomi)"><span class="cx-segment" data-segmentid="135">Kunnallisvero</span></a></b></td>
105<td class="" colspan="1" id="137" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="138">
10621<span typeof="mw:Entity">&nbsp;</span>%<br><small>98:nneksi<span typeof="mw:Entity">&nbsp;</span>suurin<span typeof="mw:Entity">&nbsp;</span>2016</small><span typeof="mw:Entity">&nbsp;</span><span about="#mwt97" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-veroviite-6&quot;},&quot;attrs&quot;:{&quot;name&quot;:&quot;veroviite&quot;}}" id="cite_ref-veroviite_6-0" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-veroviite-6" style="counter-reset: mw-Ref 6;"><span class="mw-reflink-text">[6]</span></a></span><link href="./Luokka:Small-elementtiä_käyttävät_tietolaatikot" rel="mw:PageProp/Category"></span></td>
107</tr>
108
109<tr id="139"><td class="" colspan="1" id="140" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><b><a class="cx-link" data-linkid="142" href="//fi.wikipedia.org/wiki/Kunnanjohtaja_Suomessa" rel="mw:WikiLink" title="Kunnanjohtaja Suomessa"><span class="cx-segment" data-segmentid="141">Kunnanjohtaja</span></a></b></td>
110<td class="" colspan="1" id="143" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="144">
111<a class="cx-link" data-linkid="145" href="//fi.wikipedia.org/wiki/Päivi_Rahkonen" rel="mw:WikiLink" title="Päivi Rahkonen">Päivi Rahkonen</a></span></td>
112</tr>
113
114<tr id="146"><td class="" colspan="1" id="147" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><b><a class="cx-link" data-linkid="149" href="//fi.wikipedia.org/wiki/Kunnanvaltuusto_Suomessa" rel="mw:WikiLink" title="Kunnanvaltuusto Suomessa"><span class="cx-segment" data-segmentid="148">Kunnanvaltuusto</span></a></b></td>
115<td class="" colspan="1" id="150" style="vertical-align: top; border-top: 1px solid #AAAAAA;"><span class="cx-segment" data-segmentid="151">
11643 paikkaa</span></td>
117</tr>
118
119<tr id="152"><td class="" colspan="1" id="153" style="vertical-align: top;"><span class="cx-segment" data-segmentid="154"><span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="155" href="//fi.wikipedia.org/wiki/Hollolan_kunnanvaltuusto" rel="mw:WikiLink" title="Hollolan kunnanvaltuusto">2009–2011</a><span about="#mwt98" class="mw-ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-7&quot;},&quot;attrs&quot;:{}}" id="cite_ref-7" rel="dc:references" typeof="mw:Extension/ref"><a href="#cite_note-7" style="counter-reset: mw-Ref 7;"><span class="mw-reflink-text">[7]</span></a></span><br> <span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="156" href="//fi.wikipedia.org/wiki/Kansallinen_Kokoomus" rel="mw:WikiLink" title="Kansallinen Kokoomus">KOK</a><br> <span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="157" href="//fi.wikipedia.org/wiki/Suomen_Sosialidemokraattinen_Puolue" rel="mw:WikiLink" title="Suomen Sosialidemokraattinen Puolue">SDP</a><br><span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="158" href="//fi.wikipedia.org/wiki/Suomen_Keskusta" rel="mw:WikiLink" title="Suomen Keskusta">KESK</a><br><span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="159" href="//fi.wikipedia.org/wiki/Suomen_Kristillisdemokraatit" rel="mw:WikiLink" title="Suomen Kristillisdemokraatit">KD</a><br> <span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="160" href="//fi.wikipedia.org/wiki/Perussuomalaiset" rel="mw:WikiLink" title="Perussuomalaiset">PS</a><br><span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="161" href="//fi.wikipedia.org/wiki/Vasemmistoliitto" rel="mw:WikiLink" title="Vasemmistoliitto">VAS</a><br> <span typeof="mw:Entity">&nbsp;</span> <a class="cx-link" data-linkid="162" href="//fi.wikipedia.org/wiki/Vihreä_liitto" rel="mw:WikiLink" title="Vihreä liitto">VIHR</a></span></td>
120<td class="" colspan="1" id="163" style="vertical-align: top;"><span class="cx-segment" data-segmentid="164">
121<br>16<br>9<br>9<br>4<br>3<br>1<br>1</span></td>
122</tr><tr class="infobox_tests" id="165" style="display:none"><td id="166"><span class="cx-segment" data-segmentid="167"><span class="wd_tests"><a class="cx-link" data-linkid="168" href="https://tools.wmflabs.org/fiwiki-tools/testit/INFOBOX/OK" rel="mw:ExtLink">Infobox OK</a></span><span class="wd_tests"><a class="cx-link" data-linkid="169" href="https://tools.wmflabs.org/fiwiki-tools/testit/TEST_1/OK/NIMI" rel="mw:ExtLink">Nimi-testi OK</a></span></span></td></tr>
123</tbody></table>
124*************************** 2. row ***************************
125cxc_translation_id: 101
126 cxc_section_id: 2
127 cxc_origin: user
128 cxc_sequence_id: 0
129 cxc_timestamp: 20161214082728
130 cxc_content: <table class="infobox geography vcard cx-noscroll" style="width: 23em; margin-bottom: 839px; position: relative;" about="#mwt3" typeof="mw:Transclusion" data-mw="{&quot;parts&quot;:[{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;Infobox Finnish municipality&quot;,&quot;href&quot;:&quot;./Template:Infobox_Finnish_municipality&quot;},&quot;params&quot;:{},&quot;i&quot;:0}}]}" id="cx2" data-source="2" contenteditable="false" tabindex="0" data-template-state="adapt" data-cx-weight="99" data-cx-draft="true"><tbody><tr><th colspan="2" style="text-align:center;font-size:125%;font-weight:bold;font-size:1.25em; white-space:nowrap"><span class="fn org">Main Page</span></th></tr><tr class="mergedtoprow"><th scope="row">Country</th><td>
131<a rel="mw:WikiLink" href="./Finland" title="Finland" class="cx-target-link-unadapted cx-target-link">Finland</a></td></tr><tr class="mergedrow"><th scope="row"><span typeof="mw:Entity">&nbsp;</span>•<span typeof="mw:Entity">&nbsp;</span>Density</th><td>
1320/km<sup>2</sup> (0/sq<span typeof="mw:Entity">&nbsp;</span>mi)</td></tr><tr class="mergedtoprow"><th scope="row"><a rel="mw:WikiLink" href="./Time_zone" title="Time zone" class="cx-target-link-unadapted cx-target-link">Time zone</a></th><td>
133<a rel="mw:WikiLink" href="./Eastern_European_Time" title="Eastern European Time" class="cx-target-link-unadapted cx-target-link">EET</a> (<a rel="mw:WikiLink" href="./UTC+2" title="UTC+2" class="cx-target-link-unadapted cx-target-link">UTC+2</a>)</td></tr><tr class="mergedrow"><th scope="row"><span style="white-space:nowrap"><span typeof="mw:Entity">&nbsp;</span>•<span typeof="mw:Entity">&nbsp;</span>Summer (<a rel="mw:WikiLink" href="./Daylight_saving_time" title="Daylight saving time" class="cx-target-link-unadapted cx-target-link">DST</a>)</span></th><td>
134<a rel="mw:WikiLink" href="./Eastern_European_Summer_Time" title="Eastern European Summer Time" class="cx-target-link-unadapted cx-target-link">EEST</a> (<a rel="mw:WikiLink" href="./UTC+3" title="UTC+3" class="cx-target-link-unadapted cx-target-link">UTC+3</a>)</td></tr></tbody><div class="cx-overlay"><div class="cx-spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div></div></table>
1352 rows in set, 6 warnings (0.00 sec)
136
137MariaDB [dev_translatewiki_net]> SHOW WARNINGS
138 -> ;
139+---------+------+-------------------------------------------+
140| Level | Code | Message |
141+---------+------+-------------------------------------------+
142| Warning | 1292 | Truncated incorrect DOUBLE value: 'mwAQ' |
143| Warning | 1292 | Truncated incorrect DOUBLE value: 'mwAw' |
144| Warning | 1292 | Truncated incorrect DOUBLE value: 'mwAYg' |
145| Warning | 1292 | Truncated incorrect DOUBLE value: 'mwAQ' |
146| Warning | 1292 | Truncated incorrect DOUBLE value: 'mwAw' |
147| Warning | 1292 | Truncated incorrect DOUBLE value: 'mwAYg' |
148+---------+------+-------------------------------------------+
1496 rows in set (0.00 sec)
150

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 8:41 AM
Amire80 moved this task from Needs Triage to CX2 on the ContentTranslation board.Jun 25 2017, 5:02 PM
Arrbee moved this task from CX2 to Check & Move on the ContentTranslation board.Jul 22 2019, 1:22 PM
Pginer-WMF closed this task as Resolved.Jul 22 2019, 2:50 PM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

With the new version of content translation, the restore process has been improved. This issues is expected to be solved, but feel free to report if this happens again.